#!/usr/bin/env ts-node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tstest_1 = require("tstest");
const file_js_1 = require("./file.js");
(0, tstest_1.test)('smoke testing', async (t) => {
    const EXPECTED_PAYLOAD = { mol: 42 };
    const NAME = Math.random().toString().substr(2);
    const file = new file_js_1.StorageFile(NAME, {});
    let empty = await file.load();
    t.deepEqual(empty, {}, 'should get back a empty object for non-exist data');
    await file.save(EXPECTED_PAYLOAD);
    const payload = await file.load();
    t.deepEqual(payload, EXPECTED_PAYLOAD, 'should get back data from s3');
    await file.destroy();
    empty = await file.load();
    t.deepEqual(empty, {}, 'should get back a empty object after destroy()');
});
//# sourceMappingURL=file.spec.js.map