"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StorageNop = void 0;
const config_js_1 = require("../config.js");
const backend_js_1 = require("./backend.js");
class StorageNop extends backend_js_1.StorageBackend {
    constructor(name, options) {
        config_js_1.log.verbose('StorageNop', 'constructor(%s, ...)', name);
        super(name, options);
    }
    toString() {
        const text = [
            this.constructor.name,
            '<nop>',
        ].join('');
        return text;
    }
    async load() {
        config_js_1.log.verbose('StorageNop', 'load()');
        return {};
    }
    async save(_ /* payload */) {
        config_js_1.log.verbose('StorageNop', 'save()');
    }
    async destroy() {
        config_js_1.log.verbose('StorageNop', 'destroy()');
    }
}
exports.StorageNop = StorageNop;
exports.default = StorageNop;
//# sourceMappingURL=nop.js.map